Skip to main content
PATCH
/
api
/
v2
/
webhooks
/
{id}
Patch webhook
curl --request PATCH \
  --url https://api.instantly.ai/api/v2/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "campaign": "019cc043-b005-72ef-8501-678e06268a93",
  "name": "Zapier Positive Replies",
  "target_hook_url": "https://webhook.site/unique-url",
  "event_type": "email_sent",
  "custom_interest_value": 1,
  "headers": {
    "Authorization": "Basic dXNlcm5hbWU6cGFzc3dvcmQ="
  }
}
'
{
  "id": "019cc043-b005-72ef-8501-678c9a77be6f",
  "organization": "019cc043-b005-72ef-8501-678d8d4f9e28",
  "target_hook_url": "https://webhook.site/unique-url",
  "timestamp_created": "2026-03-05T23:09:47.397Z",
  "campaign": "019cc043-b005-72ef-8501-678e06268a93",
  "name": "Zapier Positive Replies",
  "event_type": "email_sent",
  "custom_interest_value": 1,
  "headers": {
    "Authorization": "Basic dXNlcm5hbWU6cGFzc3dvcmQ="
  },
  "status": 1,
  "timestamp_error": "2026-03-05T23:09:47.397Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the item to update

Example:

"019cc043-e3f9-76f2-9aff-d42a5f5dc3fb"

Body

application/json
campaign
string<uuid> | null

Optional campaign UUID to filter events (null = all campaigns in workspace)

Example:

"019cc043-b005-72ef-8501-678e06268a93"

name
string | null

Optional user-defined name for the webhook

Example:

"Zapier Positive Replies"

target_hook_url
string<uri>

Target URL to send webhook payloads

Pattern: ^https?://
Example:

"https://webhook.site/unique-url"

event_type
enum<string> | null

Type of event to trigger the webhook (null for custom label events). Set to "all_events" to subscribe to all events - including custom label events

Available options:
all_events,
email_sent,
email_opened,
email_link_clicked,
reply_received,
email_bounced,
lead_unsubscribed,
campaign_completed,
account_error,
lead_neutral,
lead_interested,
lead_not_interested,
lead_meeting_booked,
lead_meeting_completed,
lead_closed,
lead_out_of_office,
lead_wrong_person,
lead_no_show,
supersearch_enrichment_completed
Example:

"email_sent"

custom_interest_value
number | null

Custom interest value - corresponds to LeadLabel.interest_status (used for custom label events)

Example:

1

headers
object

Optional HTTP headers to include when delivering webhook payloads (key-value pairs)

Example:
{
"Authorization": "Basic dXNlcm5hbWU6cGFzc3dvcmQ="
}

Response

The updated Webhook

A webhook subscription for receiving event notifications

id
string<uuid>
required

Unique identifier for the webhook (UUID)

Example:

"019cc043-b005-72ef-8501-678c9a77be6f"

organization
string<uuid>
required

Organization (workspace) UUID that owns this webhook

Example:

"019cc043-b005-72ef-8501-678d8d4f9e28"

target_hook_url
string<uri>
required

Target URL to send webhook payloads

Pattern: ^https?://
Example:

"https://webhook.site/unique-url"

timestamp_created
string<date-time>
required

Timestamp when the webhook was created

Example:

"2026-03-05T23:09:47.397Z"

campaign
null | string<uuid>

Optional campaign UUID to filter events (null = all campaigns in workspace)

Example:

"019cc043-b005-72ef-8501-678e06268a93"

name
null | string

Optional user-defined name for the webhook

Example:

"Zapier Positive Replies"

event_type
null | enum<string>

Type of event to trigger the webhook (null for custom label events). Set to "all_events" to subscribe to all events - including custom label events

Available options:
all_events,
email_sent,
email_opened,
email_link_clicked,
reply_received,
email_bounced,
lead_unsubscribed,
campaign_completed,
account_error,
lead_neutral,
lead_interested,
lead_not_interested,
lead_meeting_booked,
lead_meeting_completed,
lead_closed,
lead_out_of_office,
lead_wrong_person,
lead_no_show,
supersearch_enrichment_completed
Example:

"email_sent"

custom_interest_value
null | number

Custom interest value - corresponds to LeadLabel.interest_status (used for custom label events)

Example:

1

headers
object

Optional HTTP headers to include when delivering webhook payloads (key-value pairs)

Example:
{
"Authorization": "Basic dXNlcm5hbWU6cGFzc3dvcmQ="
}
status
null | number

Webhook status: 1 = active, -1 = error (disabled due to delivery failures)

Example:

1

timestamp_error
null | string<date-time>

Timestamp when webhook was disabled due to delivery failures (null if active)

Example:

"2026-03-05T23:09:47.397Z"